package com.base.appzxhy.utils

import android.util.Log
import com.base.appzxhy.BuildConfig

object LogEx {
    val isOpen = true
    val filterTAG = arrayOf(
        "StayJobService",
        "EventUtils",
        "ReportUtils",
        "TimerManager",
        "AlarmJobReceiver",
        "AdmobEvent",
        "NewComUtils"
    )

    fun logDebug(tag: String, content: String, isMust: Boolean = false) {
        if (isMust) {
            Log.e(tag, content)
        } else {
            if (!isOpen) return
            if (filterTAG.contains(tag)) return
            if (BuildConfig.DEBUG) {
                Log.e(tag, content)
            }
        }
    }
}